INTERFACE
SUBROUTINE RDPINMI(KMODES,PFP,PFQ,PB,PLOW,PUP,PC,PDIAG)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NCPEC ,NCPEC2
USE YOMNMIA , ONLY : NVMODM
INTEGER(KIND=JPIM),INTENT(IN) :: KMODES
REAL(KIND=JPRB) ,INTENT(OUT) :: PFP(NCPEC)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFQ(NCPEC)
REAL(KIND=JPRB) ,INTENT(OUT) :: PB(NCPEC2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLOW(NCPEC2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUP(NCPEC2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PC(NCPEC2,NVMODM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIAG(NCPEC2,NVMODM)
END SUBROUTINE RDPINMI
END INTERFACE
